glibmm: Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > > Struct Template Reference

glibmm 2.64.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | List of all members
Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > > Struct Template Reference

This specialization of TypeTraits exists because the default use of Glib::wrap(GObject*), instead of a specific Glib::wrap(GSomeInterface*), would not return a wrapper for an interface. More...

`#include <giomm/volume.h>`

## Public Types
using | CppType = Glib::RefPtr< Gio::Volume >
using | CType = GVolume*
using | CTypeNonConst = GVolume*

## Static Public Member Functions
static CType | to_c_type (const CppType& item)
static CppType | to_cpp_type (const CType& item)
static void | release_c_type (CType item)

## Detailed Description

### template<>
struct Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > >

This specialization of TypeTraits exists because the default use of Glib::wrap(GObject*), instead of a specific Glib::wrap(GSomeInterface*), would not return a wrapper for an interface.

## Member Typedef Documentation

using Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > >::CppType = Glib::RefPtr<Gio::Volume>

using Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > >::CType = GVolume*

using Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > >::CTypeNonConst = GVolume*

## Member Function Documentation

static void Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > >::release_c_type | ( | CType | item | ) |
| inlinestatic

static CType Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > >::to_c_type | ( | const CppType& | item | ) |
| inlinestatic

static CppType Glib::Container_Helpers::TypeTraits< Glib::RefPtr< Gio::Volume > >::to_cpp_type | ( | const CType& | item | ) |
| inlinestatic